View Issue Details

IDProjectCategoryView StatusLast Update
0010282LazarusIDEpublic2009-10-23 00:40
ReporterDusan Halicky Assigned ToMattias Gaertner  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.23 (SVN) 
Fixed in Version0.9.27 (SVN) 
Summary0010282: Main menu not accessible via alt shortcuts (e.g. alt+f for File)
DescriptionMain menu is not accessible via alt shortcuts (e.g. alt+f for File, or alt+e for Edit) when I am in editor. Tested on Linux. I have compiled 0.9.24 version with gtk 2 interface.

When i press Alt+F shortcut, File menu should pop up.
Tagsgtk2
Fixed in Revision
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

has duplicate 0007684 closedPaul Ishenin Shortcuts not working in Main (menubar) window 
has duplicate 0012153 closedPaul Ishenin Main menu shortcuts does not work 
related to 0001946 closedPaul Ishenin Caption with & issues 
related to 0007249 closedVincent Snijders Accelerator keys in main menu not working 
related to 0009396 closedMartin Friebe Synedit blocks some main menu shortcuts 

Activities

Mattias Gaertner

2007-11-27 20:12

manager   ~0016425

This works here under linux/ubuntu gnome window manager.

What window manager and system do you use?

Graeme Geldenhuys

2007-11-28 10:25

reporter   ~0016439

Last edited: 2007-11-28 10:28

I can confirm the issue. I'm using 0.9.25 r12977M i386-linux-gtk (Ubuntu with FVWM2) and Lazarus set to English (default).

If the Editor Window has focus, _none_ of the main menu shortcuts work.

If the Lazarus Main Form has focus, only 4 main menu shortcuts work.

The following menus don't:
  Edit
  Search
  Project
  Run
  Components
  Tools
  Help

Felipe Monteiro de Carvalho

2008-04-13 13:14

developer   ~0018767

Here (Mandriva 2008) + KDE the menu shortcuts don't work too. They don't work with gtk 1 either for me.

mmm4m5m

2009-06-13 04:33

reporter   ~0028509

Menu '&' shortcuts (like Alt+F) are not visible and not working.
Ubuntu 8.04 + Gnome
lazarus-0.9.26.2-0, gtk2, fpc-2.2.4, fpc-source_2.2.4-0_all
(all installed to home directory)

Initially I installed FP and Lazarus from Ubuntu 8.04 repository (0.9.24/2.2.0/gtk1) - Menu '&' shortcuts was visible but not working.

Note: shortcuts are not working when editor window have forcus and not working when main window (with menu) is focused.

Paul Ishenin

2009-06-13 04:39

manager   ~0028510

This was fixed in 0.9.27 version some time ago. Plase check out our svn sources and build lazarus from them. If it works ok then please close this issue.

mmm4m5m

2009-06-13 14:47

reporter   ~0028521

update:
Menu '&' shortcuts (like Alt+F) are visible but not working if main IDE window IS NOT focused - for example, not working if source editor window is focused.

If main IDE window IS focused, then Alt+F works perfect - open file menu. And all other '&' shortcuts are working fine.

Ubuntu 8.04 + Gnome
lazarus-0.9.27 beta, svn 20615, gtk2; fpc-2.2.4; fpc-source_2.2.4-0_all
(all installed to home directory)

Issue History

Date Modified Username Field Change
2007-11-27 20:04 Dusan Halicky New Issue
2007-11-27 20:04 Dusan Halicky Widgetset => GTK 2
2007-11-27 20:12 Mattias Gaertner LazTarget => -
2007-11-27 20:12 Mattias Gaertner Note Added: 0016425
2007-11-27 20:12 Mattias Gaertner Assigned To => Mattias Gaertner
2007-11-27 20:12 Mattias Gaertner Status new => feedback
2007-11-28 10:25 Graeme Geldenhuys Note Added: 0016439
2007-11-28 10:28 Graeme Geldenhuys Note Edited: 0016439
2008-02-13 23:08 Vincent Snijders LazTarget - => 1.2
2008-02-13 23:08 Vincent Snijders Status feedback => assigned
2008-04-12 12:43 Felipe Monteiro de Carvalho Tag Attached: gtk2
2008-04-13 13:12 Felipe Monteiro de Carvalho Relationship added has duplicate 0007684
2008-04-13 13:14 Felipe Monteiro de Carvalho Note Added: 0018767
2008-04-16 00:56 Felipe Monteiro de Carvalho Relationship added related to 0001946
2008-04-16 03:36 Felipe Monteiro de Carvalho Relationship added related to 0007249
2008-04-16 03:37 Felipe Monteiro de Carvalho Relationship added related to 0009396
2008-09-16 14:34 Vincent Snijders Relationship added has duplicate 0012153
2009-06-13 04:33 mmm4m5m Note Added: 0028509
2009-06-13 04:39 Paul Ishenin Status assigned => resolved
2009-06-13 04:39 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-06-13 04:39 Paul Ishenin Resolution open => fixed
2009-06-13 04:39 Paul Ishenin Note Added: 0028510
2009-06-13 14:47 mmm4m5m Note Added: 0028521
2009-10-23 00:40 Marc Weustink Status resolved => closed